Subject: xid table corrupted

From: Gerhard Daub <[email-masked]>
Date: Thu, 20 Jan 1994 10:56:04 +0100

When I run 2 transactions with begin/end-blocks at the same time 
I obtain the following error message:

     NOTICE:Jan 20 10:26:35:LockReplace: xid table corrupted

Can anyone give me a hint how I can recover from this error.

Gerhard Daub

---

From: [email-masked] (Paul M. Aoki)
Date: Thu, 20 Jan 1994 10:22:00 -0800

> Can anyone give me a hint how I can recover from this error.

this occurs when an entry is not found in the shared memory transaction 
id hash table.  restarting the postmaster should clear the problem but
i've never seen this in 4.1.  please reply to postgres-bugs and specify
the platform and version of postgres you are using.
--
  Paul M. Aoki  |  CS Div., Dept. of EECS, UCB  |  [email-masked]
                |  Berkeley, CA 94720           |  ...!uunet!ucbvax!aoki